# Uses of Enum Class
org.apache.sysds.runtime.codegen.SpoofOuterProduct.OutProdType

Packages that use SpoofOuterProduct.OutProdType
Package
Description
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.hops.codegen.template
org.apache.sysds.runtime.codegen

## Uses of SpoofOuterProduct.OutProdType in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return SpoofOuterProduct.OutProdType
Modifier and Type
Method
Description
`SpoofOuterProduct.OutProdType`
CNodeOuterProduct.`getOutProdType()`
Methods in org.apache.sysds.hops.codegen.cplan with parameters of type SpoofOuterProduct.OutProdType
Modifier and Type
Method
Description
`void`
CNodeOuterProduct.`setOutProdType(SpoofOuterProduct.OutProdType type)`

## Uses of SpoofOuterProduct.OutProdType in org.apache.sysds.hops.codegen.template

Methods in org.apache.sysds.hops.codegen.template that return SpoofOuterProduct.OutProdType
Modifier and Type
Method
Description
`static SpoofOuterProduct.OutProdType`
TemplateUtils.`getOuterProductType(Hop X, Hop U, Hop V, Hop out)`

## Uses of SpoofOuterProduct.OutProdType in org.apache.sysds.runtime.codegen

Methods in org.apache.sysds.runtime.codegen that return SpoofOuterProduct.OutProdType
Modifier and Type
Method
Description
`SpoofOuterProduct.OutProdType`
SpoofOuterProduct.`getOuterProdType()`
`static SpoofOuterProduct.OutProdType`
SpoofOuterProduct.OutProdType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofOuterProduct.OutProdType[]`
SpoofOuterProduct.OutProdType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.codegen with parameters of type SpoofOuterProduct.OutProdType
Modifier and Type
Method
Description
`void`
SpoofOuterProduct.`setOuterProdType(SpoofOuterProduct.OutProdType type)`
Constructors in org.apache.sysds.runtime.codegen with parameters of type SpoofOuterProduct.OutProdType
Modifier
Constructor
Description
``
`SpoofOuterProduct(SpoofOuterProduct.OutProdType type)`